
QGIS Application - Bug report #11082

Merge tool bug when a shapefile is loaded multiple times

2014-08-20 07:32 AM - Antoine XH

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:2.4.0 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 19415

Description

Hi to all,

Same problem like bug report 7540 : #7540

But on QGIS 2.4. 

Example on http://youtu.be/Tuv-ygiCIs4

1> create new shapefile

EDIT ON

2> create polygons

EDIT OFF

3> duplicate layer

EDIT ON

4> cut polygons

EDIT OFF 

=> OK no bug

EDIT ON

5> merge polygons

EDIT OFF

=> FAIL, bug :( polygon remove

History

#1 - 2014-08-22 04:07 AM - Antoine XH

New test on WIndows XP and QGIS 2.5, same problem.

Error message :

"Impossible de valider les changements  pour la couche testxp25

Erreurs : ERREUR : 3 attributs non effacés.

  Erreur du prestataire :

      Erreur OGR lors la suppression de l'entité 5 : Attempt to delete shape with feature id (5) which does not exist.

      Erreur OGR lors la suppression de l'entité 7 : Attempt to delete shape with feature id (7) which does not exist."

UPDATE : test with local file and with network file => same problem. test with polygon shapefile

#2 - 2014-10-04 01:48 PM - Giovanni Manghi

- Resolution set to duplicate

- Status changed from Open to Closed
http://youtu.be/Tuv-ygiCIs4


I reopened the original ticket #7540 as it has more notes and comments.

2025-12-15 2/2


